Bug 174803 - Already running browser fails on above URL
Already running browser fails on above URL
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Depends On:
  Show dependency treegraph
Reported: 2005-12-02 08:20 EST by Bob Chiodini
Modified: 2007-12-20 11:47 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-12-20 11:47:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bob Chiodini 2005-12-02 08:20:22 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8) Gecko/20051201 Fedora/1.5-1 Firefox/1.5

Description of problem:
openurl() seems to truncate the passed URL if it contains commas.  The above mentioned URL will not open correctly if firefox is already running.  The URL passed to firefox, through, openurl is truncated to:


Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.  Execute firefox

2.  Execute /usr/lib/firefox-1.5/mozilla-xremote-client -a firefox 'openurl(http://nl.internet.com/ct.html?rtr=on&s=1,22fr,1,hfcu,kuvm,jjrf,fhg)'

The above was glommed from debugging /usr/bin/firefox

3.  Note blank page in firefox and truncated URL

Actual Results:  Blank page appears in firefox and URL is truncated.

Expected Results:  Firefox should take me to the requested URL.  This worked correctly prior to 1.5.

Additional info:

To get the information in Step 2 above I added:

#!/bin/bash -x
exec >> /tmp/firefox.log 2>&1

To /usr/bin/firefox.
Comment 1 Bob Chiodini 2006-05-16 12:46:18 EDT
Problem seems to be fixed in the latest 1.5 release.  Tested under
firefox- (rawhide).

MIght be related to https://bugzilla.mozilla.org/show_bug.cgi?id=304000

Comment 2 Matěj Cepl 2007-12-20 11:47:51 EST
We just updated the Firefox version in Fedora/development from 2.0 to a 3.0
pre-release version, which improves performance, memory usage, and fixes many
bugs and crashes.

Closing as CANTFIX since we aren't fixing bugs filed against 2.0 now that 3.0 is
in.  If this bug is still present in rawhide using a Firefox 3.0 version, please
re-open this bug.

Thanks and Happy Holidays

Note You need to log in before you can comment on or make changes to this bug.